-#!/usr/bin/env bash
-
-USE_GLOW=true
-if ! command -v glow >/dev/null 2>/dev/null; then
- printf "Glow not found, markdown rendering not available."
- printf "Output will be raw markdown and might look weird."
- printf "Install glow for easier reading & copy-paste."
- USE_GLOW=false
+#!/usr/bin/env sh
+
+has_command() {
+ command -v "$1" >/dev/null 2>/dev/null
+ return $?
+}
+
+USE_GLOW=false
+USE_BAT=false
+USE_PYGMENTIZE=false
+USE_HIGHLIGHT=false
+if has_command glow; then
+ USE_GLOW=true
+else
+ if has_command bat; then
+ USE_BAT=true
+ printf "Markdown rendering will be done by bat. (Glow is recommended)\n"
+ elif has_command pygmentize; then
+ printf "Markdown rendering will be done by pygmentize. (Glow is recommended)\n"
+ USE_PYGMENTIZE=true
+ elif has_command highlight; then
+ printf "Markdown rendering will be done by highlight. (Glow is recommended)\n"
+ USE_HIGHLIGHT=true
+ else
+ printf "Markdown rendering not available. (Glow is recommended)\n"
+ printf "Output will be raw markdown and might look weird.\n"
+ fi
+ printf "Install glow for easier reading & copy-paste.\n"